GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Member Functions | Static Public Member Functions
graphchi::graphchi_vertex< VertexDataType, EdgeDataType > Class Template Reference
Inheritance diagram for graphchi::graphchi_vertex< VertexDataType, EdgeDataType >:

List of all members.

## Public Member Functions
| graphchi_vertex (vid_t _id, graphchi_edge< EdgeDataType > *iptr, graphchi_edge< EdgeDataType > *optr, int indeg, int outdeg)
graphchi_edge< EdgeDataType > * | edge (int i)
graphchi_edge< EdgeDataType > * | inedge (int i)
graphchi_edge< EdgeDataType > * | outedge (int i)
VertexDataType | get_data ()
virtual void | set_data (VertexDataType d)
void VARIABLE_IS_NOT_USED | sort_edges_indirect ()
Public Member Functions inherited from graphchi::internal_graphchi_vertex< VertexDataType, EdgeDataType >
| internal_graphchi_vertex (vid_t _id, graphchi_edge< EdgeDataType > *iptr, graphchi_edge< EdgeDataType > *optr, int indeg, int outdeg)
vid_t | id () const
int | num_inedges () const
int | num_outedges () const
int | num_edges () const
void | add_inedge (vid_t src, EdgeDataType *ptr, bool special_edge)
void | add_outedge (vid_t dst, EdgeDataType *ptr, bool special_edge)

## Static Public Member Functions
static bool | computational_edges ()
static bool | read_outedges ()

## Additional Inherited Members
Public Attributes inherited from graphchi::internal_graphchi_vertex< VertexDataType, EdgeDataType >
int | inc
volatile int | outc
vid_t | vertexid
bool | modified
VertexDataType * | dataptr
bool | scheduled
bool | parallel_safe
Protected Attributes inherited from graphchi::internal_graphchi_vertex< VertexDataType, EdgeDataType >
graphchi_edge< EdgeDataType > * | inedges_ptr
graphchi_edge< EdgeDataType > * | outedges_ptr

## Member Function Documentation

template<typename VertexDataType, typename EdgeDataType>

graphchi_edge<EdgeDataType>* graphchi::graphchi_vertex< VertexDataType, EdgeDataType >::edge | ( | int | i | ) |
| inline

Returns ith edge of a vertex, ignoring edge direction.

template<typename VertexDataType, typename EdgeDataType>

VertexDataType graphchi::graphchi_vertex< VertexDataType, EdgeDataType >::get_data | ( |  | ) |
| inline

Get the value of vertex

template<typename VertexDataType, typename EdgeDataType>

virtual void graphchi::graphchi_vertex< VertexDataType, EdgeDataType >::set_data | ( | VertexDataType | d | ) |
| inline virtual

Modify the vertex value. The new value will be stored on disk.

template<typename VertexDataType, typename EdgeDataType>

void VARIABLE_IS_NOT_USED graphchi::graphchi_vertex< VertexDataType, EdgeDataType >::sort_edges_indirect | ( |  | ) |
| inline

Sorts all the edges. Note: this will destroy information about the in/out direction of an edge. Do use only if you ignore the egde direction.

The documentation for this class was generated from the following file:

- src/api/graph_objects.hpp